Make setup-intellij.sh work again.

Somewhat. The generated IntelliJ project is still somewhat broken and you need to manually exclude a few directories to use it and there is a mystical error about a missing method on truth.MapSubject, but at least now it fails in a less spectacular way.

Fixes #796.

--
MOS_MIGRATED_REVID=112458948
diff --git a/scripts/get_all_bazel_paths.sh b/scripts/get_all_bazel_paths.sh
index dd132de..84f76a2 100755
--- a/scripts/get_all_bazel_paths.sh
+++ b/scripts/get_all_bazel_paths.sh
@@ -25,13 +25,7 @@
 }
 
 # Compile bazel
-[ -f "output/bazel" ] || ./compile.sh tools,compile >&2 || exit $?
-([ -f "tools/jdk/JavaBuilder_deploy.jar" ] \
-  && [ -f "tools/jdk/ijar" ] \
-  && [ -f "tools/jdk/SingleJar_deploy.jar" ] \
-  && [ -f "tools/jdk/GenClass_deploy.jar" ]) \
-  || ./compile.sh tools,init output/bazel >&2 \
-  || exit $?
+[ -f "output/bazel" ] || ./compile.sh compile >&2 || exit $?
 
 # Build almost everything.
 # //third_party/ijar/test/... is disabled due to #273.